export class DispatcherManager {
    private static disispatcher: Laya.EventDispatcher;
    private static get Disispatcher(): Laya.EventDispatcher {
        return DispatcherManager.disispatcher || (DispatcherManager.disispatcher = new Laya.EventDispatcher());
    }

    public static on(type: string, call: any, data: any): void {
        this.Disispatcher.on(type, call, data);
    }
    public static off(type: string, call: any, data: any): void {
        this.Disispatcher.off(type, call, data);
    }
    public static event(type: string, data: any = null): void {
        this.Disispatcher.event(type, data);
    }
}
export class EventType {
    static Event = {
        CamFollowArg: "CamFollowArg",
        SetAimPos: "SetAimPos",
        RefreshBulletCount: "RefreshBulletCount",
        RefreshRemainEnemyCount: "RefreshRemainEnemyCount",
        GameShowTips: "GameShowTips",


        StartShot: 'StartShot',
        StopShot: 'StopShot',
        ShowMainUi: "ShowMainUi",
        SetMonery: "SetMonery",
        SetStage: "SetStage",
        SetStagePro: "SetStagePro"
    };
}